Đến nội dung


Hình ảnh
- - - - -

[Yêu cầu] Print preview với VBA


  • Please log in to reply
1 reply to this topic

#1 NguyenNgocSon

NguyenNgocSon

    biết dimbaseline

  • Members
  • PipPipPipPipPip
  • 368 Bài viết
Điểm đánh giá: 39 (tàm tạm)

Đã gửi 09 June 2013 - 10:21 AM

Xin hỏi các bác trong diển đàn

Thủ thục Print preview khi in bằng VBA là gì ?

Đoạn code dưới đây báo lỗi ?

Public Sub PlotView()
Dim intCount As Integer
Dim strViewToPlot As String
Dim objView As AcadView
Dim strFilename As String

    strViewToPlot = InputBox("Enter name of view to plot: ", "Plot View")

On Error Resume Next

    Set objView = ThisDrawing.Views(strViewToPlot)
    If objView Is Nothing Then
        MsgBox "This view does not exist"
        Exit Sub
    End If

    strFilename = InputBox("Enter a filename to plot to")
    If strFilename = "" Then Exit Sub

    'set view to plot
    ThisDrawing.ModelSpace.Layout.ViewToPlot = strViewToPlot
    ThisDrawing.ModelSpace.Layout.PlotType = acView

    'Initiate the plot
    ThisDrawing.Plot.PlotToFile strFilename
End Sub

 

Cám ơn!


  • 0

#2 Anlee

Anlee

    biết zoom

  • Members
  • Pip
  • 10 Bài viết
Điểm đánh giá: 2 (bình thường)

Đã gửi 23 July 2013 - 02:11 PM

Review    ThisDrawing.Plot.DisplayPlotPreview acFullPreview

Print review Result =ThisDrawing.Plot .PlotToDevice(Layobj.ConfigName)

Result as Boolean

Layobj As AcadPlotConfiguration

mình cũng mới tìm hiểu VBA và đã chạy thử đoạn code trên

-Nó sẽ in 1 cái view ma mình đặt tên. Bạn thử dùng lệnh "V" sau đó đặt tên 1 view xem sao


  • 0